# Uses of Enum Class
org.apache.lucene.analysis.miscellaneous.ScandinavianNormalizer.Foldings

Packages that use ScandinavianNormalizer.Foldings
Package
Description
org.apache.lucene.analysis.miscellaneous
Miscellaneous Tokenstreams.

- ## Uses of ScandinavianNormalizer.Foldings in org.apache.lucene.analysis.miscellaneous

  Fields in org.apache.lucene.analysis.miscellaneous with type parameters of type ScandinavianNormalizer.Foldings
  Modifier and Type
  Field
  Description
  `static final Set<ScandinavianNormalizer.Foldings>`
  ScandinavianNormalizer.`ALL_FOLDINGS`
  Methods in org.apache.lucene.analysis.miscellaneous that return ScandinavianNormalizer.Foldings
  Modifier and Type
  Method
  Description
  `static ScandinavianNormalizer.Foldings`
  ScandinavianNormalizer.Foldings.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ScandinavianNormalizer.Foldings[]`
  ScandinavianNormalizer.Foldings.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructor parameters in org.apache.lucene.analysis.miscellaneous with type arguments of type ScandinavianNormalizer.Foldings
  Modifier
  Constructor
  Description
  ``
  `ScandinavianNormalizer(Set<ScandinavianNormalizer.Foldings> foldings)`
  Create the instance, while choosing which foldings to apply.